<?php
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH'] && true === isset($_SESSION['SessionAuth']['id']) && 0 < $_SESSION['SessionAuth']['id']) {
  if(true === isset($_GET['cartridgetype_id']) && true === is_numeric($_GET['cartridgetype_id'])){
    $ObjCartridgeTypeMod = new CartridgeTypeMod($MS_SP);
    $ArrCartridgeType = $ObjCartridgeTypeMod->GetFromDb('SqlAll', 'GetRow', "a.cartridgetype_id = '". $_GET['cartridgetype_id'] ."'");
    $smarty->assign('ArrCartridgeType', $ArrCartridgeType);
  }
  $VarReturn = $smarty->fetch('CartridgeType/Form.tpl');
}
else{
  $VarReturn = $MS_SP->Sp_LangMessage['error']['ErrFuncAccessDenied'];
}
echo $VarReturn;
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>